CFPropertyList Reference

## Detailed Description

## Typedefs

typedef CFTypeRef | CFPropertyListRef

## Enumerations

enum | CFPropertyListFormat { kCFPropertyListOpenStepFormat = 1 , kCFPropertyListXMLFormat_v1_0 = 100 , kCFPropertyListBinaryFormat_v1_0 = 200 }
enum | CFPropertyListMutabilityOptions { kCFPropertyListImmutable = 0 , kCFPropertyListMutableContainers = 1 , kCFPropertyListMutableContainersAndLeaves = 2 }
enum | { kCFPropertyListReadCorruptError = 3840 , kCFPropertyListReadUnknownVersionError = 3841 , kCFPropertyListReadStreamError = 3842 , kCFPropertyListWriteStreamError = 3851 }

## Functions

CFPropertyListRef | CFPropertyListCreateDeepCopy (CFAllocatorRef allocator, CFPropertyListRef propertyList, CFOptionFlags mutabilityOption)
CFDataRef | CFPropertyListCreateData (CFAllocatorRef allocator, CFPropertyListRef propertyList, CFPropertyListFormat format, CFOptionFlags options, CFErrorRef *error)
CFPropertyListRef | CFPropertyListCreateWithData (CFAllocatorRef allocator, CFDataRef data, CFOptionFlags options, CFPropertyListFormat *format, CFErrorRef *error)
CFPropertyListRef | CFPropertyListCreateWithStream (CFAllocatorRef allocator, CFReadStreamRef stream, CFIndex streamLength, CFOptionFlags options, CFPropertyListFormat *format, CFErrorRef *error)
CFIndex | CFPropertyListWrite (CFPropertyListRef propertyList, CFWriteStreamRef stream, CFPropertyListFormat format, CFOptionFlags options, CFErrorRef *error)
Boolean | CFPropertyListIsValid (CFPropertyListRef plist, CFPropertyListFormat format)
CFPropertyListRef | CFPropertyListCreateFromXMLData (CFAllocatorRef allocator, CFDataRef xmlData, CFOptionFlags mutabilityOption, CFStringRef *errorString)
CFDataRef | CFPropertyListCreateXMLData (CFAllocatorRef allocator, CFPropertyListRef propertyList)
CFPropertyListRef | CFPropertyListCreateFromStream (CFAllocatorRef allocator, CFReadStreamRef stream, CFIndex streamLength, CFOptionFlags mutabilityOption, CFPropertyListFormat *format, CFStringRef *errorString)
CFIndex | CFPropertyListWriteToStream (CFPropertyListRef propertyList, CFWriteStreamRef stream, CFPropertyListFormat format, CFStringRef *errorString)